+ Responder ao Tópico



  1. #1

    Padrão Apache 2.0.40 + PHP4 não consigo

    Não consigo colocar o Apache 2.0.40 + PHP4, alguém pode me ajudar. Resaltando que estou usando o RH8

  2. #2
    Visitante

    Padrão Apache 2.0.40 + PHP4 não consigo

    Beleza Mano !!

    Aqui fiz a seguinte configuração:

    - Para o Apache:

    ./configure --prefix=/usr/local/apache2 --enable-module=so
    make
    make install

    Colocar a seguinte linha no arquivo httpd.conf

    LoadModule php4_module usr/local/apache2/modules/libphp4.so


    - Para o PHP4

    ./configure --with-apxs2=/usr/local/apache2/bin/apxs

    se você quiser o mysql coloque, --with-mysql

    make
    make install

    copie o arquivo php.ini-dist para /usr/local/lib como php.ini

    coloque sua página no diretorios htdocs
    delete o diretório manuals por questão de segurança.

    edit o arquivo rc.local no diretório etc e coloque a seguinte linha
    para quando vc iniciar o rh , carregar o apache

    /usr/local/apache2/apachectl start

    dica: /usr/local/apache2/apachectl stop para finalizar o apache.


    Espero ter ajudado e se vc tiver outra dúvida posta aqui...

    hasta......Junior



  3. #3
    l00k
    Visitante

    Padrão Apache 2.0.40 + PHP4 não consigo

    Oi pessoal, blz?

    Aproveitando a dúvida do nosso amigo. Estou com o mesmo problema.
    Não consigo visualizar uma página em php, sempre aparece o fonte. Como no meu caso eu já instalei tanto o apache2.. como o php4. Como devo proceder para habilitar o suporte no meu webserver?

  4. #4
    Futuremax
    Visitante

    Padrão Apache 2.0.40 + PHP4 não consigo

    Dê uma olhada no seu httpd.conf e verifique essas linhas:

    LoadModule php4_module libexec/libphp4.so
    php_flag engine on
    AddType application/x-httpd-php .php

    Elas devem estar assim para que tudo funcione bem....



  5. #5
    Visitante

    Padrão Apache 2.0.40 + PHP4 não consigo

    tenho o mesmo problema..... segundo um artigo que eu vi... no apache 2 os módulos são carregados a parte,, porém não dá certo... e estas linhas acima nao dá... inseri estas linhas e nao consegui startar o servidor....
    alguma outra sugestão?

  6. #6
    Moderador Avatar de Bruno
    Ingresso
    Nov 2002
    Localização
    Guarapuava-PR
    Posts
    3.925
    Posts de Blog
    1

    Padrão Apache 2.0.40 + PHP4 não consigo

    e ai galera blz

    eu tenho cl8 ele tem o pache 1.3.27 certo eu quero atualizar ele para o 2.0.43 certo eu já abaixei ele
    o que eu tenho que fazer agora para atualizar ???


    será que é só isto

    ./configure
    make
    make install




  7. #7
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Apache 2.0.40 + PHP4 não consigo

    Com o caso do PHP, adiciona no /etc/httpd.conf (/etc/apache/httpd.conf -> slack):

    Include /etc/apache/mod_php.conf

    AddModule mod_php4.c
    LoadModule php4_module libexec/libphp4.so


    Aproveite e adicione na linha das indexes:

    <IfModule mod_dir.c>
    DirectoryIndex index.php index.html
    </IfModule>